Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata.extract
Class EbXML_2_1ProvideAndRegisterDocumentSetExtractor

    java.lang.Object
      org.eclipse.ohf.ihe.xds.metadata.extract.EbXML_2_1ProvideAndRegisterDocumentSetExtractor

All Implemented Interfaces:
  ProvideAndRegisterDocumentSetExtractor

    public class EbXML_2_1ProvideAndRegisterDocumentSetExtractor

extends java.lang.Object
implements ProvideAndRegisterDocumentSetExtractor

Class to extract complete metadata from ebRIM 2.1 elements.

Author:
  Sarah Knoop

Field Summary
`static java.lang.String` | `DESCRIPTOR` Descriptor for Extractor

Constructor Summary
`EbXML_2_1ProvideAndRegisterDocumentSetExtractor(SubmitObjectsRequestType transactionData)` Loads the ebXML structures containing entire Submission Transaction metadata.

Method Summary
`ProvideAndRegisterDocumentSetType` | `extract()` Builds an ProvideAndRegisterDocumentSetTypeType containing: <1>One DocumentEntry for each ExtrinsicObject, assumed to be document entries One Folder for each RegistryPackage identified to be a folder On SubmissionSet for the (single) RegistryPackage identified to be a submission set Construction assumes that standard HL7 V2.5 message delimiters are used.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DESCRIPTOR

    public static final java.lang.String DESCRIPTOR

  Descriptor for Extractor

  See Also:
    Constant Field Values

Constructor Detail

### EbXML_2_1ProvideAndRegisterDocumentSetExtractor

    public EbXML_2_1ProvideAndRegisterDocumentSetExtractor(SubmitObjectsRequestType transactionData)

  Loads the ebXML structures containing entire Submission Transaction metadata. UUIDs for classificationSchemes, identificationSchemes, objectTypes and associationTypes are expected to conform to those fixed by XDS documentataion. Minimally must include: <1>One RegistryPackage for the SubmissionSet metadata and one Classification that identifies this RegistryPackage as SubmissionSet metadata.This REgistryPacakge must have a populated id attribute. Including other components is subject to the following: <1>Each ExtrinsicObject for DocumentEntry metadata must have a populated id attribute. <1>Each RegistryPackage for the Folder metadata must have a corresponding Classification that identifies this RegistryPackage as Folder metadata. This RegistryPacakge must have a populated id attribute. For each DocumentEntry that is contained in a particular folder, an Association must be present to indicate so.

  Parameters:
    `transactionData` - SubmitObjectsRequest containing entire metadata (all document entries, all folders the submission set) and additional classifications and associations for a submission transaction.
  See Also:
    `UUIDs`

Method Detail

### extract

    public ProvideAndRegisterDocumentSetType extract()
                                              throws MetadataExtractionException

  Builds an ProvideAndRegisterDocumentSetTypeType containing: <1>One DocumentEntry for each ExtrinsicObject, assumed to be document entries One Folder for each RegistryPackage identified to be a folder On SubmissionSet for the (single) RegistryPackage identified to be a submission set Construction assumes that standard HL7 V2.5 message delimiters are used. See `MessageDelimiters`. Length restrictions are not implemented, presently.
  IMPORTANT NOTE: We note that documents and folders with corresponding ExtrinsicObjects/RegistryPackages (respectively) in the current SubmitObjectRequest will appear on the appropriate associated document and folder lists for the submission set. EbXML Associations that represent the linking of existing documents and existing folders to the current submission set will all appear on it's list of associated documents. This is because there is no way (currently) in the ebXML to distinguish an existing folder from an existing document entry in this context.

  Specified by:
    `extract` in interface `ProvideAndRegisterDocumentSetExtractor`
  Throws:
    `MetadataExtractionException`
  See Also:
    `ProvideAndRegisterDocumentSetExtractor.extract()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD